> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List session sources

> List bounded session sources in the authenticated organization.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/sessions/sources
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/sessions/sources:
    get:
      tags:
        - Sessions
      summary: List session sources
      description: List bounded session sources in the authenticated organization.
      operationId: listSessionSources
      parameters:
        - in: query
          name: cursor
          schema:
            type: string
            format: uuid
        - in: query
          name: enabled
          schema:
            anyOf:
              - type: string
                enum:
                  - 'true'
                  - 'false'
              - type: boolean
        - in: query
          name: includeTotal
          schema:
            anyOf:
              - type: string
                enum:
                  - 'true'
                  - 'false'
              - type: boolean
            default: false
        - in: query
          name: integrationId
          schema:
            type: string
            format: uuid
        - in: query
          name: limit
          schema:
            anyOf:
              - type: string
                pattern: ^\d+$
              - type: integer
            default: 50
        - in: query
          name: search
          schema:
            type: string
            minLength: 1
            maxLength: 1000
        - in: query
          name: sessionId
          schema:
            type: string
            format: uuid
        - in: query
          name: types
          schema:
            anyOf:
              - type: string
                minLength: 1
              - type: array
                items:
                  type: string
                  minLength: 1
            default: []
      responses:
        '200':
          description: List session sources
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        createdAt:
                          type: string
                          format: date-time
                        enabledAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        externalId:
                          type:
                            - string
                            - 'null'
                        externalUrl:
                          type:
                            - string
                            - 'null'
                        id:
                          type: string
                          format: uuid
                        lastScannedAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        lastSeenAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        name:
                          type: string
                        type:
                          type: string
                        updatedAt:
                          type: string
                          format: date-time
                        integration:
                          type:
                            - object
                            - 'null'
                          properties:
                            type:
                              type: string
                          required:
                            - type
                        repositories:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                format: uuid
                              name:
                                type: string
                              owner:
                                type:
                                  - string
                                  - 'null'
                              baseBranch:
                                type:
                                  - string
                                  - 'null'
                              provider:
                                type: string
                            required:
                              - id
                              - name
                              - owner
                              - baseBranch
                              - provider
                            additionalProperties: false
                      required:
                        - createdAt
                        - enabledAt
                        - externalId
                        - externalUrl
                        - id
                        - lastScannedAt
                        - lastSeenAt
                        - name
                        - type
                        - updatedAt
                        - integration
                        - repositories
                      additionalProperties: false
                  nextCursor:
                    type:
                      - string
                      - 'null'
                    format: uuid
                  totalCount:
                    type: integer
                    minimum: 0
                required:
                  - items
                  - nextCursor
                additionalProperties: false
        '400':
          description: Invalid request or missing resource scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '401':
          description: The session is private
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: The caller is not permitted to perform this operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Session resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Session operation conflicts with existing data
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Session operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '502':
          description: Session runtime or provider operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````